Subject: Re: bug#1974: 23.0.60; gnus writes customize file

From: Reiner Steib <[email-masked]>
Date: Wed, 21 Jan 2009 22:54:11 +0100

On Wed, Jan 21 2009, [email-masked] wrote:

> When using gnus, I find that it tries to write out my customize
> preferences whenever I send a message.  This is bloody annoying, as
> .emacs is version-controlled, and I do not *have* any
> customize-managed preferences.
[...]
> | (custom-set-variables
[...]
> |  '(canlock-password "acc239ecbc3348a6f02d22b49ac0743957b28655"))

Simply set the cancel lock in your version controlled ~/.emacs or
~/.gnus.el as described in the manual:

,----[ (info "(message)Canceling News") ]
| If you want to manage a password yourself, you can put something
| like the following in your `~/.gnus.el' file:
| 
|      (setq canlock-password "geheimnis"
|            canlock-password-for-verify canlock-password)
`----

Bye, Reiner.
-- 
       ,,,
      (o o)
---ooO-(_)-Ooo---  |  PGP key available  |  http://rsteib.home.pages.de/